﻿using System.Collections.Generic;
using System.Threading.Tasks;
using SQLite;


namespace ListViewSqlite
{
    public class CategoryItemDatabase
    {
        readonly SQLiteAsyncConnection database;

        public CategoryItemDatabase(string dbPath)
        {
            database = new SQLiteAsyncConnection(dbPath);
            database.CreateTableAsync<CategoryItem>().Wait();
        }
        public Task<List<CategoryItem>> GetItemsAsync()
        {
            return database.Table<CategoryItem>().ToListAsync();
        }

        public Task<int> SaveItemAsync(CategoryItem item)
        {           
              return database.InsertAsync(item);           
        }

        public Task<int> DeleteItemAsync(CategoryItem item)
        {
            return database.DeleteAsync(item);
        }
    }
}
