﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ListViewSqlite
{
    public partial class MainPage : ContentPage
    {
        private ViewModel _vm;
        public MainPage()
        {
            InitializeComponent();
          
        }
        
        protected override async void OnAppearing()
        {
            base.OnAppearing();

           this._vm =  new ViewModel(new ObservableCollection<CategoryItem>(await App.Database.GetItemsAsync()));
           this.BindingContext = _vm;
           
        }

        private void AddCategoryItem_Clicked(object sender, EventArgs e)
        {
            var count = _vm.Categories.Count();
            var newItem = new CategoryItem() { CategoryID = count, Category = "Category " + count.ToString() };
            App.Database.SaveItemAsync(newItem);
            _vm.Categories.Add(newItem);
            
        }

        private void DeleteCategoryItem_Clicked(object sender, EventArgs e)
        {
            if (_vm.Categories.Count > 0)
            {
                App.Database.DeleteItemAsync(_vm.Categories.First());
                _vm.Categories.RemoveAt(0);
            }

        }
    }
}
